Software Requirements

    Note:
  • Before installing this product, we recommended contacting Customer Support to check for any available software updates.
  • For the full list of supported environments, see the support matrix on the Software Support site at: https://softwaresupport.softwaregrp.com/group/softwaresupport/support-matrices, or contact support.
  • In addition to the prerequisites listed here, there may be additional protocol-specific prerequisites for running virtual services. For details, see the section on how to configure agents in the Service Virtualization User Guide or the Service Virtualization Help Center (http://admhelp.microfocus.com/sv/en/latest).

This section includes:

The following environments are supported for Service Virtualization 4.20:

Supported Operating Systems

Windows
  • Microsoft® Windows® 10 (64-bit)
  • Microsoft® Windows® 8.1 (64-bit)
  • Microsoft® Windows® 7 SP1 (64-bit)
  • Microsoft® Windows Server® 2016 (64-bit)
  • Microsoft® Windows Server® 2012 R2 (64-bit)
  • Microsoft® Windows Server® 2012 (64-bit)
  • Microsoft® Windows Server® 2008 R2 SP1 (64-bit)
Linux
(Service Virtualization Server)

 

Note: Service Virtualization on Linux is part of the Early Access Features.

  • Red Hat Enterprise Linux 7.3
  • Oracle Linux 7.3
  • Oracle Linux 6.8
  • Fedora 25 Workstation
  • CentOS Linux 7

Supported Database Servers and Browsers

    Note:
  • Before installing this product, we recommended contacting Customer Support to check for any available software updates.
  • In addition to the prerequisites listed here, there may be additional protocol-specific prerequisites for running virtual services. For details, see the section on how to configure agents in the Service Virtualization User Guide or the Service Virtualization Help Center (http://admhelp.microfocus.com/sv/en/latest).

Supported Database Servers

Note: If you do not have a supported database server installed, you can install the Microsoft SQL Server Express included with the Service Virtualization installation package. In the installation root folder, run autorun.exe.

  • Microsoft® SQL Server® 2016
  • Microsoft® SQL Server® 2014
  • Microsoft® SQL Server® 2012 Express
  • Microsoft® SQL Server® 2012
  • Microsoft® SQL Server® 2008 R2 Express
  • Microsoft® SQL Server® 2008 R2
  • Oracle Database 11g, 12g
  • PostgreSQL 9.x, 10.x
Prerequisite for working with Oracle:

ODP.NET, Managed Driver version 12.1.0.2.160719 or later (including Oracle.ManagedDataAccess.dll version 4.121.0.20160624) installed in the Global Assembly Cache (GAC) is required for connecting to an Oracle database. A simple xcopy package can be downloaded from http://www.oracle.com/technetwork/database/windows/downloads/utilsoft-087491.html.

Supported Browsers

To work with Service Virtualization Management, you must use a supported browser.

  • Microsoft Internet Explorer 9, 10, and 11

    Note: For Service Virtualization Management to function properly, compatibility mode must be turned off in Internet Explorer.

  • Mozilla Firefox
  • Google Chrome

  • Apple Safari
  • Microsoft Edge

Access Rights

Additional Software Prerequisites

The following prerequisite software is required for Service Virtualization. These applications are included in the Service Virtualization installation package. When you run the installation, you are prompted to allow Service Virtualization to install all required prerequisites that are not yet installed. You can choose to install, or exit the installation.

Service Virtualization Designer

  • .NET Framework 4.5.2
  • Microsoft Visual C++ 2015 x64 Redistributable
  • Microsoft Visual C++ 2013 x64 Redistributable
  • Microsoft Visual C++ 2010 x64 Redistributable

Service Virtualization Server

  • .NET Framework 4.5.2
  • Microsoft Visual C++ 2015 x64 Redistributable
  • Microsoft Visual C++ 2013 x64 Redistributable
  • Microsoft Visual C++ 2010 x64 Redistributable
  • IIS Express 10.0 or later

Service Virtualization Lab (Early Access)

Java 8 JRE or later from one of the following:

  • Open JDK 8u112
  • Oracle Java 1.8.0.111